View Issue Details

IDProjectCategoryView StatusLast Update
0032272PatchesIDEpublic2017-10-18 15:39
ReporterCudaText man Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformUbuntu 
Product Version1.9 (SVN) 
Summary0032272: CompilerOtherOptions frame layout
Description- made buttons AutoSized (was too small size, not native)
- fixed one of 3 buttons anchor (other 2 buttons anchor to first)
TagsNo tags attached.
Fixed in Revisionr55710
LazTarget-
Widgetset
Attached Files

Relationships

has duplicate 0032573 resolvedJuha Manninen Lazarus To small buttons width in Project Options->Custom Options dialog 

Activities

CudaText man

2017-08-15 10:49

reporter  

oth-ops.diff (2,976 bytes)   
Index: ide/frames/compiler_other_options.lfm
===================================================================
--- ide/frames/compiler_other_options.lfm	(revision 55632)
+++ ide/frames/compiler_other_options.lfm	(working copy)
@@ -15,13 +15,13 @@
     Width = 521
     Align = alBottom
     Caption = 'grpConditionals'
-    ClientHeight = 174
+    ClientHeight = 175
     ClientWidth = 517
     TabOrder = 0
     inline CondSynEdit: TSynEdit
       AnchorSideRight.Side = asrBottom
       Left = 0
-      Height = 151
+      Height = 154
       Top = 0
       Width = 517
       Align = alClient
@@ -651,8 +651,8 @@
     end
     object CondStatusbar: TStatusBar
       Left = 0
-      Height = 23
-      Top = 151
+      Height = 21
+      Top = 154
       Width = 517
       Panels = <      
         item
@@ -683,7 +683,7 @@
     Width = 521
     Align = alClient
     Caption = 'grpCustomOptions'
-    ClientHeight = 188
+    ClientHeight = 189
     ClientWidth = 517
     TabOrder = 2
     object memoCustomOptions: TMemo
@@ -692,9 +692,9 @@
       AnchorSideBottom.Control = grpCustomOptions
       AnchorSideBottom.Side = asrBottom
       Left = 0
-      Height = 184
+      Height = 185
       Top = 4
-      Width = 362
+      Width = 355
       Anchors = [akTop, akLeft, akRight, akBottom]
       BorderSpacing.Right = 6
       OnChange = memoCustomOptionsChange
@@ -708,11 +708,12 @@
       AnchorSideLeft.Control = btnDefines
       AnchorSideRight.Control = btnDefines
       AnchorSideRight.Side = asrBottom
-      Left = 368
-      Height = 22
+      Left = 361
+      Height = 29
       Top = 4
-      Width = 149
+      Width = 150
       Anchors = [akTop, akLeft, akRight]
+      AutoSize = True
       Caption = 'All options ...'
       OnClick = btnAllOptionsClick
       ParentShowHint = False
@@ -723,14 +724,18 @@
       AnchorSideLeft.Control = btnAllOptions
       AnchorSideTop.Control = btnAllOptions
       AnchorSideTop.Side = asrBottom
+      AnchorSideRight.Control = grpCustomOptions
       AnchorSideRight.Side = asrBottom
-      Left = 368
-      Height = 22
-      Top = 32
-      Width = 149
+      Left = 361
+      Height = 29
+      Top = 39
+      Width = 150
       Anchors = [akTop, akRight]
+      AutoSize = True
       BorderSpacing.Top = 6
+      BorderSpacing.Right = 6
       Caption = 'Defines ...'
+      Constraints.MinWidth = 150
       OnClick = btnDefinesClick
       ParentShowHint = False
       ShowHint = True
@@ -742,12 +747,13 @@
       AnchorSideTop.Side = asrBottom
       AnchorSideRight.Control = btnDefines
       AnchorSideRight.Side = asrBottom
-      Left = 368
-      Height = 22
-      Top = 67
-      Width = 149
+      Left = 361
+      Height = 29
+      Top = 83
+      Width = 150
       Anchors = [akTop, akLeft, akRight]
-      BorderSpacing.Top = 13
+      AutoSize = True
+      BorderSpacing.Top = 15
       Caption = 'Add -FcUTF8'
       OnClick = btnFcUTF8Click
       ParentShowHint = False
oth-ops.diff (2,976 bytes)   

CudaText man

2017-08-15 10:50

reporter  

before-fix.png (41,142 bytes)   
before-fix.png (41,142 bytes)   

CudaText man

2017-08-15 10:50

reporter  

after-fix.png (24,974 bytes)   
after-fix.png (24,974 bytes)   

Juha Manninen

2017-08-20 01:11

developer   ~0102246

Applied, thanks.

Issue History

Date Modified Username Field Change
2017-08-15 10:49 CudaText man New Issue
2017-08-15 10:49 CudaText man File Added: oth-ops.diff
2017-08-15 10:50 CudaText man File Added: before-fix.png
2017-08-15 10:50 CudaText man File Added: after-fix.png
2017-08-20 01:06 Juha Manninen Assigned To => Juha Manninen
2017-08-20 01:06 Juha Manninen Status new => assigned
2017-08-20 01:11 Juha Manninen Fixed in Revision => r55710
2017-08-20 01:11 Juha Manninen LazTarget => -
2017-08-20 01:11 Juha Manninen Note Added: 0102246
2017-08-20 01:11 Juha Manninen Status assigned => resolved
2017-08-20 01:11 Juha Manninen Resolution open => fixed
2017-10-18 15:39 Juha Manninen Relationship added has duplicate 0032573